import request from '@/utils/request'

// 查询企业合作列表
export function listCooperate(query) {
  return request({
    url: '/system/Cooperate/list',
    method: 'get',
    params: query
  })
}
// 任务状态修改
export function changetypeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/Cooperate/changeStatus',
    method: 'put',
    data: data
  })
}
// 查询企业合作详细
export function getCooperate(id) {
  return request({
    url: '/system/Cooperate/' + id,
    method: 'get'
  })
}

// 新增企业合作
export function addCooperate(data) {
  return request({
    url: '/system/Cooperate',
    method: 'post',
    data: data
  })
}

// 修改企业合作
export function updateCooperate(data) {
  return request({
    url: '/system/Cooperate',
    method: 'put',
    data: data
  })
}

// 删除企业合作
export function delCooperate(id) {
  return request({
    url: '/system/Cooperate/' + id,
    method: 'delete'
  })
}
